<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__callbacks" kind="group">
    <compoundname>group_capsense_callbacks</compoundname>
    <title>Callbacks</title>
    <briefdescription>
<para>Callbacks allow the user to execute Custom code called from the CapSense middleware when an event occurs. </para>    </briefdescription>
    <detaileddescription>
<para>CapSense supports two callbacks.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;# &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Callback Name &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Associated Register &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Callback Function Prototype &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Start Sample &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;ptrSSCallback &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__capsense__structures.html#group__group__capsense__structures_1ga908447ccc2720f31c861d9eb79ff75d2"&gt;cy_capsense_callback_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;This is called before each sensor scan triggering. Such a callback can be used to implement user-specific use cases like changing scan parameters depending on whether a sensor is going to be scanned.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;2 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;End Of Scan &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;ptrEOSCallback &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__capsense__structures.html#group__group__capsense__structures_1ga908447ccc2720f31c861d9eb79ff75d2"&gt;cy_capsense_callback_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;This is called after sensor scan completion and there is no other sensor in the queue to be scanned.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;3 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Tuner Send Callback &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;ptrTunerSendCallback &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__capsense__structures.html#group__group__capsense__structures_1gabf58e6ce283cb73f9b8a398abf6bad17"&gt;cy_capsense_tuner_send_callback_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;This is called by the &lt;a href="group__group__capsense__high__level.html#group__group__capsense__high__level_1ga0c613df550388c119fdab4e50341a6b4"&gt;Cy_CapSense_RunTuner()&lt;/a&gt; function to establish synchronous communication with the Tuner tool.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;4 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Tuner Receive Callback &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;ptrTunerReceiveCallback &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__capsense__structures.html#group__group__capsense__structures_1gade1f00c852892b0fc498c9a3b9d28594"&gt;cy_capsense_tuner_receive_callback_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;This is called by the &lt;a href="group__group__capsense__high__level.html#group__group__capsense__high__level_1ga0c613df550388c119fdab4e50341a6b4"&gt;Cy_CapSense_RunTuner()&lt;/a&gt; function to establish synchronous communication with the Tuner tool.  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;&lt;ol&gt;&lt;li&gt;&lt;p&gt;Callbacks 1 and 2 are called by the &lt;a href="group__group__capsense__high__level.html#group__group__capsense__high__level_1ga484f29b24760bd087f19ea598de15078"&gt;Cy_CapSense_InterruptHandler()&lt;/a&gt; function and lengthen this function execution. Usually, &lt;a href="group__group__capsense__high__level.html#group__group__capsense__high__level_1ga484f29b24760bd087f19ea598de15078"&gt;Cy_CapSense_InterruptHandler()&lt;/a&gt; is called inside the CSD ISR. In such a case, the callbacks mentioned lengthen the execution of the CSD ISR as well.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Callbacks 2 and 3 can only be registered by direct CapSense Data Structure assignment.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;All callbacks can be registered by direct assignment of the function pointers to the corresponding CapSense Data Structure field as follows: context-&amp;gt;ptrCommonContext-&amp;gt;&amp;lt;Associated Register&amp;gt; = &amp;amp;CallbackFunction;</verbatim></para><para>Callbacks 2 and 3 can be registered / unregistered using the <ref kindref="member" refid="group__group__capsense__high__level_1ga289c4fd495135399a9ad9897920836a7">Cy_CapSense_RegisterCallback()</ref> and <ref kindref="member" refid="group__group__capsense__high__level_1gaf43b3cdfce7a3e8c0e5622f42e0a6319">Cy_CapSense_UnRegisterCallback()</ref> function. </para>    </detaileddescription>
  </compounddef>
</doxygen>